> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Initialize a new single asset staking campaign with reward parameters and staking conditions.

# Admin - Initialize the staking for a new campaign



## OpenAPI

````yaml cardano/managed-contracts-api/openapi.json post /contracts/singleAssetStaking/initStaking
openapi: 3.0.3
info:
  title: Cardano - Managed Contracts API
  description: https://docs.gomaestro.org/getting-started
  contact:
    name: Maestro
    email: info@gomaestro.org
    url: https://gomaestro.org/
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v1.9.0
servers:
  - url: https://mainnet.gomaestro-api.org/v1
    description: Cardano Mainnet
  - url: https://preprod.gomaestro-api.org/v1
    description: Cardano Preprod
  - url: https://preview.gomaestro-api.org/v1
    description: Cardano Preview
security:
  - api-key: []
paths:
  /contracts/singleAssetStaking/initStaking:
    post:
      tags:
        - Single Asset Staking
      summary: Admin - Initialize the staking for a new campaign
      description: Admin - Initialize the staking for a new campaign
      operationId: sas_init_staking
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InitStakingRequest'
      responses:
        '200':
          description: Init staking transaction build successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transaction'
        '400':
          description: Bad Request. Invalid request body provided.
components:
  schemas:
    InitStakingRequest:
      type: object
      properties:
        configTN:
          type: string
          description: Configuration TN
        sender:
          type: string
          description: Sender's address
        rewardAmount:
          type: number
          description: Reward amount
      required:
        - configTN
        - sender
        - rewardAmount
    Transaction:
      type: object
      description: Unsigned transaction
      properties:
        cbor_hex:
          type: string
          description: CBOR hexadecimal representation of the transaction
        tx_hash:
          type: string
          description: Transaction hash
      required:
        - cbor_hex
        - tx_hash
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````